Loading...
Searching...
No Matches
RDKit::AtomPair::AtomPairEnvGenerator< OutputType > Class Template Reference

class that generates atom-environments for atom-pair fingerprint More...

`#include <AtomPairGenerator.h>`

Inheritance diagram for RDKit::AtomPair::AtomPairEnvGenerator< OutputType >:

## Public Member Functions

std::vector< AtomEnvironment< OutputType > * >

getEnvironments (const ROMol &mol, FingerprintArguments *arguments, const std::vector< std::uint32_t > *fromAtoms, const std::vector< std::uint32_t > *ignoreAtoms, const int confId, const AdditionalOutput *additionalOutput, const std::vector< std::uint32_t > *atomInvariants, const std::vector< std::uint32_t > *bondInvariants, const bool hashResults=false) const override

| generate and return all atom-envorinments from a molecule
std::string | infoString () const override
| method that returns information about this /c AtomEnvironmentGenerator and its arguments if any
OutputType | getResultSize () const override
| Returns the size of the fingerprint based on arguments.
Public Member Functions inherited from RDKit::AtomEnvironmentGenerator< OutputType >
virtual | ~AtomEnvironmentGenerator ()

## Additional Inherited Members

Public Attributes inherited from RDKit::AtomEnvironmentGenerator< OutputType >
const FingerprintArguments * | dp_fingerprintArguments

## Detailed Description

template<typename OutputType>
class RDKit::AtomPair::AtomPairEnvGenerator< OutputType >

class that generates atom-environments for atom-pair fingerprint

Definition at line 127 of file AtomPairGenerator.h.

## Member Function Documentation

## getEnvironments()

template<typename OutputType >

std::vector< AtomEnvironment< OutputType > * > RDKit::AtomPair::AtomPairEnvGenerator< OutputType >::getEnvironments | ( | const ROMol & | mol,
|  | FingerprintArguments * | arguments,
|  | const std::vector< std::uint32_t > * | fromAtoms,
|  | const std::vector< std::uint32_t > * | ignoreAtoms,
|  | const int | confId,
|  | const AdditionalOutput * | additionalOutput,
|  | const std::vector< std::uint32_t > * | atomInvariants,
|  | const std::vector< std::uint32_t > * | bondInvariants,
|  | const bool | hashResults = `false`
| ) |  | const

override virtual

generate and return all atom-envorinments from a molecule

Parameters

  mol | molecule to generate the atom-environments from
  arguments | fingerprint type specific molecule independent arguments
  fromAtoms | atoms to be used during environment generation, usage of this parameter depends on the implementation of different fingerprint types
  ignoreAtoms | atoms to be ignored during environment generation, usage of this parameter depends on the implementation of different fingerprint types
  confId | which conformation to use during environment generation, needed for some fingerprint types
  additionalOutput | contains pointers for additional outputs of fingerprinting operation, usage depends on implementation of the fingerprint type
  atomInvariants | atom invariants to be used during environment generation, in some cases some of the hashing can be done during environment generation so it is also passed here
  bondInvariants | bond invariants to be used during environment generation, same as atomInvariants it might be needed
  hashResults | if set results will be ready to be modded

Returns
  std::vector<AtomEnvironment *> atom-environments generated from this molecule

Implements RDKit::AtomEnvironmentGenerator< OutputType >.

## getResultSize()

template<typename OutputType >

OutputType RDKit::AtomPair::AtomPairEnvGenerator< OutputType >::getResultSize | ( |  | ) | const

override virtual

Returns the size of the fingerprint based on arguments.

Returns
  OutputType size of the fingerprint

Implements RDKit::AtomEnvironmentGenerator< OutputType >.

## infoString()

template<typename OutputType >

std::string RDKit::AtomPair::AtomPairEnvGenerator< OutputType >::infoString | ( |  | ) | const

override virtual

method that returns information about this /c AtomEnvironmentGenerator and its arguments if any

Returns
  std::string information string

Implements RDKit::AtomEnvironmentGenerator< OutputType >.

The documentation for this class was generated from the following file:

- AtomPairGenerator.h